package org.mytest.esb;

import java.util.Map;

import org.jboss.soa.esb.actions.AbstractActionPipelineProcessor;
import org.jboss.soa.esb.helpers.ConfigTree;
import org.jboss.soa.esb.http.HttpRequest;
import org.jboss.soa.esb.actions.ActionProcessingException;
import org.jboss.soa.esb.message.Message;

public class MyHttpAction extends AbstractActionPipelineProcessor {
	protected ConfigTree _config;

	public MyHttpAction(ConfigTree config) {
		_config = config;
	}

	public Message process(Message message) throws ActionProcessingException {
		//ADD CUSTOM ACTION CODE HERE
		HttpRequest httpRequestInfo = HttpRequest.getRequest(message);
		String qStr = httpRequestInfo.getQueryString();
		int iLength = httpRequestInfo.getContentLength();
		String method = httpRequestInfo.getMethod();
		System.out.println("QueryString(" + method + ")=" + qStr);
		System.out.println("Received content length=" + iLength);

		return message;
	}
}
